> For the complete documentation index, see [llms.txt](https://docs.yoplanning.support/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yoplanning.support/yoplanning-academie/yoplanning-parametrage/module-de-reservation/integration-du-module-de-reservation/doc-technique-agence-web/evenements-e-commerce-envoyes-vers-google-analytics.md).

# Événements e-commerce envoyés vers Google Analytics

Une fois Google Tag Manager intégré à votre module de réservation, YoPlanning déclenche automatiquement les événements e-commerce suivants si vous les activez dans votre back-office.

***

### 📦 `view_item`

Déclenché lors du clic sur un détail produit.

**Données envoyées** :

* `item_name` (nom du produit)

***

### 🛒 `add_to_cart`

Déclenché lors de l’ajout au panier d’une session ou d’un bon cadeau (BC).

**Données envoyées** :

```json
{
  "currency": "EUR",
  "value": 150,
  "items": [
    {
      "item_name": "Canoë 3h",
      "item_variant": "session",
      "quantity": 2
    }
  ]
}
```

***

### 💳 `begin_checkout`

Déclenché lors du clic sur "Payer" sur la dernière page.

**Données envoyées** :

```json
{
  "currency": "EUR",
  "value": 180,
  "cart_id": "YO123456"
}
```

***

### ✅ `purchase`

Déclenché à la fin du paiement. Deux modes existent selon le type d’intégration du module de réservation.

***

#### 🔗 Mode **Accès direct**

* L’événement est automatiquement déclenché à la fin du paiement.
* Aucune configuration supplémentaire n’est requise.

***

#### 🧩 Mode **iframe**

Si le module est intégré via une iframe sur votre site :

* Vous devez définir une **URL de succès** dans la configuration de votre module dans YoPlanning.
* Cette URL doit être :
  * sur le **même domaine** que votre site (ex : `example.com/merci`)
  * et **inclure le script d’intégration YoPlanning** (même si aucun module n’est affiché sur cette page)

Grâce à cette redirection, l’événement `purchase` est bien envoyé en arrière-plan.

***

#### 🧾 Données envoyées avec l’événement `purchase`

```json
{
  "currency": "EUR",
  "value": 240,
  "transaction_id": "YO654321",
  "transaction_source": "Online",
  "items": [
    {
      "item_name": "Randonnée guidée",
      "item_variant": "session",
      "price": 120,
      "quantity": 2
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.yoplanning.support/yoplanning-academie/yoplanning-parametrage/module-de-reservation/integration-du-module-de-reservation/doc-technique-agence-web/evenements-e-commerce-envoyes-vers-google-analytics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
